Bug 432409 - s-c-network causes traceback/crash on wrong input data in information window
s-c-network causes traceback/crash on wrong input data in information window
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network (Show other bugs)
5.2
All Linux
medium Severity high
: rc
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 15:42 EST by Michal Nowak
Modified: 2013-03-07 21:03 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0377
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:25:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-02-11 15:42:32 EST
Comment #57 From Michal Nowak (mnowak@redhat.com)  	 on 2008-02-11 11:05 EST  
[reply]   	 Private

This is what I got on PPC and will probably on others archs (Note: Version:
1.3.99.9)

.qa.[root@ppcp-5s-1-m1 tps]# system-config-network
Component: system-config-network
Version: 1.3.99.9
Summary: TB5942761b ethernethardware.py:158:dehydrate:ValueError: invalid
literal for int(): dfdf

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/ethernethardware.py",
line 68, in on_okButton_clicked
    self.dehydrate()
  File "/usr/share/system-config-network/netconfpkg/gui/ethernethardware.py",
line 158, in dehydrate
    self.hw.Card.DMA0 = int(val)
ValueError: invalid literal for int(): dfdf

Local variables in innermost frame:
self: <netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at
0xf76d0f08>
val: dfdf

.qa.[root@ppcp-5s-1-m1 tps]# rpmquery system-config-network
system-config-network-1.3.99.9-1.el5.noarch


--
I wonder where's the glitch. 


Comment #58 From Harald Hoyer (harald@redhat.com) 	on 2008-02-11 11:45 EST 
[reply] 	Private

hmm, ok... you entered a text in an int field.. shouldn't traceback and
shouldn't allow the input.


Comment #59 From Michal Nowak (mnowak@redhat.com) 	on 2008-02-11 12:08 EST 
[reply] 	Private

Yup, stupid testcase but crashes :)


Comment #60 From Suzanne Yeghiayan (syeghiay@redhat.com) 	on 2008-02-11 13:44
EST 	[reply] 	Private

Is this fixed in system-config-network-1.3.99.9-1.el5 or do you need to a newer
version?


Comment #61 From Michal Nowak (mnowak@redhat.com) 	on 2008-02-11 14:29 EST 
[reply] 	Private

(In reply to comment #60)
> Is this fixed in system-config-network-1.3.99.9-1.el5 or do you need to a newer
> version?

This BZ is fixed in that mentioned version of system-config-network
(1.3.99.9-1.el5).

But another issue was found which we agreed that should be fixed. And I expect
it will be in next version -> erratum is in NEED_RESPIN.
Comment 2 RHEL Product and Program Management 2008-02-11 15:58:22 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2008-05-21 11:25:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0377.html

Note You need to log in before you can comment on or make changes to this bug.